%define pypi_name pyXMLSecurity
%define pkg_name pyxmlsecurity

Name:           python-%{pkg_name}
Version:        1.0.0
Release:        %mkrel 3
Summary:        Pure Python XML Security
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/pyxmlsecurity/
Source0:        %{pypi_source}
Patch1:         0001-node-is-needed-for-testing-only.patch
BuildArch:      noarch

%description
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
This is a python implementation of XML-Security - XML-DSIG only right now.
There are no dependencies except lxml and pyca/cryptography currently.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xmlsec

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/xmlsign
%{_bindir}/xmlverify


%changelog
* Mon Mar 03 2025 wally <wally> 1.0.0-3.mga10
+ Revision: 2159868
- rebuild for python3.13

* Tue Jan 28 2025 daviddavid <daviddavid> 1.0.0-2.mga10
+ Revision: 2142921
- backport upstream patch to remove nose at setup time
- remove unneeded python3-nose build dependency

* Fri Feb 23 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2043368
- new version: 1.0.0
- switch to pyproject

* Fri Feb 23 2024 daviddavid <daviddavid> 0.21-4.mga10
+ Revision: 2043367
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.21-3.mga9
+ Revision: 1824789
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.21-2.mga9
+ Revision: 1778353
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.21-1.mga9
+ Revision: 1706239
- new version 0.21

* Thu Jul 23 2020 ovitters <ovitters> 0.20-3.mga8
+ Revision: 1608304
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 0.20-2.mga8
+ Revision: 1537691
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 0.20-1.mga8
+ Revision: 1458665
- new version 0.20

* Tue Sep 24 2019 tv <tv> 0.19-2.mga8
+ Revision: 1445465
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.19-1.mga8
+ Revision: 1417152
- imported package python-pyxmlsecurity

